%global drv_vendor OpenDaylight
%global pkgname networking-odl
%global srcname networking_odl
%global docpath doc/build/html

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           python-%{pkgname}
Epoch:          1
Version:        11.0.0
Release:        2%{?dist}
Provides:        python2-networking-odl = %{epoch}:%{version}-%{release}
Summary:        %{drv_vendor} OpenStack Neutron driver

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/%{pkgname}
Source0:        https://tarballs.openstack.org/%{pkgname}/%{pkgname}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=11.0.0
Patch0001: 0001-Fix-gate-issue-br-int-not-getting-controller.patch
Patch0002: 0002-Use-maintenance-interval-for-maintenance-task.patch
Patch0003: 0003-Fix-tests-were-no-longer-avoiding-journal-calls.patch
Patch0004: 0004-Update-rows-one-by-one-in-journal-cleanup.patch
Patch0005: 0005-Fixes-db.delete_row-deletion-by-row_id.patch
Patch0006: 0006-pseudo-port-binding-teach-agent-aliveness.patch
Patch0007: 0007-Change-the-cloner-branch-to-stable-pike.patch
Patch0008: 0008-Fix-retry-journal.record-on-dependency-deleted.patch
Patch0009: 0009-Remove-WebsocketBadStatusException.patch
Patch0010: 0010-Trivial-Fix-correct-typo-artifcat-to-artifact.patch
Patch0011: 0011-Delete-completed-rows-one-by-one-in-during-cleanup.patch
Patch0012: 0012-Full-Sync-Correction-in-bgpvpn-assoc-variable.patch
Patch0013: 0013-Correction-in-dependency-calculation-for-port-pair-c.patch
Patch0014: 0014-Fixes-URL-path-for-SFC-v2-Driver.patch
Patch0015: 0015-Correction-in-dependency-calculation-for-port-pair-g.patch
Patch0016: 0016-Don-t-sleep-on-exception.patch
Patch0017: 0017-Full-Sync-Moved-resource-fetching-into-drivers.patch
Patch0018: 0018-Fixes-error-handling-of-DB-calls.patch
Patch0019: 0019-Have-create_pending_row-return-the-entry.patch
Patch0020: 0020-Delete-completed-rows-immediately-when-retention-0.patch
Patch0021: 0021-Fix-exception-handling-in-journal.patch
Patch0022: 0022-Update-subport-status-for-trunk-ports.patch
Patch0023: 0023-Log-additional-info-about-entries.patch

#

BuildArch:      noarch

BuildRequires:  git
BuildRequires:  python2-devel
BuildRequires:  python-mock
#BuildRequires:  python-neutron-tests
BuildRequires:  python-openstackdocstheme
#BuildRequires:  python-oslotest
BuildRequires:  python-oslo-config
BuildRequires:  python-pbr
BuildRequires:  python-sphinx
BuildRequires:  python-testrepository
BuildRequires:  python-testtools

Requires:       openstack-neutron-ml2
Requires:       python-babel
Requires:       python-pbr
Requires:       python-websocket-client
Requires:       python-stevedore
Requires:       python-neutron-lib
Requires:       python-debtcollector

%description
This package contains %{drv_vendor} networking driver for OpenStack Neutron.


%prep
%autosetup -n %{pkgname}-%{upstream_version} -S git
# Remove gate hooks
rm -rf %{srcname}/tests/contrib

%build
rm requirements.txt test-requirements.txt
%{__python2} setup.py build
%{__python2} setup.py build_sphinx -b html
rm %{docpath}/.buildinfo


#%check
#%{__python2} setup.py testr


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{__python2} setup.py install --skip-build --root %{buildroot}

# Move config file to proper location
install -d -m 755 %{buildroot}%{_sysconfdir}/neutron/plugins/ml2
mv %{buildroot}/usr/etc/neutron/* %{buildroot}%{_sysconfdir}/neutron/plugins/ml2
chmod 640 %{buildroot}%{_sysconfdir}/neutron/plugins/*/*.ini


%files
%license LICENSE
%doc %{docpath}
%{_bindir}/neutron-odl-ovs-hostconfig
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}.egg-info
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/ml2/*.ini

%changelog
* Tue Nov 21 2017 Jon Schlueter <jschluet@redhat.com> 1:11.0.0-2
- Log additional info about entries (rhbz#1508805)
- Update subport status for trunk ports (rhbz#1414854)
- Fix exception handling in journal (rhbz#1508805)
- Delete completed rows immediately when retention=0 (rhbz#1508805)
- Have create_pending_row return the entry (rhbz#1508805)
- Fixes error handling of DB calls (rhbz#1508805)
- Full Sync: Moved resource fetching into drivers (rhbz#1508805)
- Don't sleep on exception (rhbz#1508805)
- Correction in dependency calculation for port pair group
- Fixes URL path for SFC v2 Driver
- Correction in dependency calculation for port pair chains
- Full Sync: Correction in bgpvpn assoc variable
- Delete completed rows one by one in during cleanup
- Trivial Fix: correct typo artifcat to artifact
- Remove WebsocketBadStatusException
- Fix: retry journal.record on dependency deleted
- Change the cloner branch to stable/pike
- pseudo port binding: teach agent aliveness
- Fixes db.delete_row deletion by row_id
- Update rows one by one in journal cleanup
- Fix: tests were no longer avoiding journal calls
- Use maintenance interval for maintenance task
- Fix gate issue: br-int not getting controller

* Wed Aug 30 2017 rdo-trunk <javier.pena@redhat.com> 1:11.0.0-1
- Update to 11.0.0

* Fri Aug 25 2017 Alfredo Moralejo <amoralej@redhat.com> 1:11.0.0-0.1.0rc2
- Update to 11.0.0.0rc2

